package com.ssm.manage.mapper;

import com.ssm.core.mapper.BaseMapper;
import com.ssm.manage.entity.RefundCash;
import com.ssm.manage.entity.RefundCourse;
import com.ssm.manage.entity.RefundOrderList;
import com.ssm.manage.query.RefundCourseRequest;
import com.ssm.manage.query.RefundOrderResquest;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface RefundCourseMapper extends BaseMapper<RefundCourse> {
    List<RefundCourse> selectList(RefundOrderResquest refundOrderResquest);
    List<RefundCourse> selectLists(RefundOrderResquest refundOrderResquest);
    List<RefundCourse> selectListsBetween(RefundOrderResquest refundOrderResquest);

    List<RefundCourse> selectListNew(RefundCourseRequest refundCourseRequest);

    int updateById(RefundCourse refundCourse);
}